/*
	create.c
	Create CD functions
	20.11.99 tn
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include "xcdroast.h"
#include "main.h"

extern GtkWidget *toplevel;
extern GtkWidget *sidespace;
extern GtkWidget *workspace;
extern GtkWidget *actionspace;


void draw_notready_menu() {

	clear_actionspace();
	gtk_widget_show(actionspace);

	show_dialog(ICO_INFO,text(287),T_OK,NULL,NULL,0);
}


void menu_create_back(GtkWidget *widget, gpointer data) {

	/* reset_duplicate_buttons(widget); */
	create_main(0);
}


/* called by the create-button */

void create_create() {
GtkWidget *side_t;
GtkWidget *head,*head_l;
GtkWidget *b1;

	clear_sidespace();
	clear_workspace();

	side_t = gtk_table_new(10,10, TRUE);
	gtk_box_pack_start(GTK_BOX(sidespace), side_t,TRUE,TRUE,0);

	b1 = gtk_button_new_with_label(text(91));
	gtk_table_attach_defaults(GTK_TABLE(side_t), b1, 0,10,8,9);
	gtk_widget_show(b1);
	gtk_signal_connect (GTK_OBJECT (b1), "clicked",
		GTK_SIGNAL_FUNC(menu_create_back),NULL);	

	gtk_widget_show(side_t);
	gtk_widget_show(sidespace);

	/* draw workspace */

	head = gtk_frame_new(NULL);
	gtk_frame_set_shadow_type(GTK_FRAME(head),GTK_SHADOW_IN);
	gtk_widget_set_usize(head,0,50);
	gtk_box_pack_start(GTK_BOX(workspace), head,FALSE,TRUE,10);
	gtk_widget_show(head);
	head_l = gtk_label_new(text(6));
	set_font_and_color(head_l,BIGFONT,NULL);
	gtk_container_add(GTK_CONTAINER(head),head_l);
	gtk_widget_show(head_l);
	gtk_widget_show(workspace);

	/* space where sub-windows are placed */
	actionspace = gtk_vbox_new(FALSE,0);
	gtk_box_pack_start(GTK_BOX(workspace), actionspace,TRUE,TRUE,10);

	/* the default submenu for a start */
 	draw_notready_menu();
}

